Subject: [Fwd: [Megaco] automatic gain value]

From: "Chuong N. Nguyen" <[email-masked]>
Date: Wed, 31 Oct 2001 08:35:23 -0600

Terry

I am forwarding your responses to the LIST.

Also from RFC3108 SDP ATM,

   The <gcLvl> parameter is represented as the decimal or hex equivalent
   of a 16-bit binary field.  A value of 0xFFFF implies automatic gain
   control.  Otherwise, this number indicates the number of decibels of
   inserted loss.  The upper bound, 65,535 dB (0xFFFE) of inserted loss,
   is a large number and is a carryover from Megaco [26].  In practical
   applications, the inserted loss is much lower.

   When SDP is used with some media gateway control protocols such as
   MGCP and Megaco [26], there exist means outside SDP descriptions to
   specify the gain control properties of a connection.  Nevertheless,
   this media attribute line is included for completeness.  As a result,
   the SDP can be used for describing gain control in applications where
   alternate means for this are unavailable.

We have an RFC that references Megaco RFC which said that the value should
be
16 bit and an upper bound of 0xFFFE and auto-gain is 0xFFFF.

So somewhere we need to align this property to mean the same thing.

Is there any real world application that actually set the gain control on a
per call basis?

In existing PSTN, isn't this gain control provisioned per trunk based on the
result from
Line testing?  That is gain control does not change or given as a parameter
during call setup.

Thanks for the response
Chuong

Terry L Anderson wrote:

> I think there are several issues here:
> 1. should gain in C.1 be the same type as tdm/gain in E.13.2.  While
> these may be used for similar purposes their is no requirement that they
> be the same type, even though it would have been convenient.  There is a
> plan to remove a number of properties from Annex C when we have a way to
> include use packages for Local and Remote descriptors, so it may be best
> to resolve this difference in value range when this is done.
>
> 2. There is no defined value for "automatic" for the C.1 gain property.
> If this is needed, and cannot wait for the revision described above, we
> could define a value in the 0..65535 range for this property to mean
> "automatic"
>
> 3. The question about encoding the integer in decimal or hex was
> resolved by IG item 6.80 where it was made clear that either is allowed
> in text encoding.
>
> "Chuong N. Nguyen" wrote:
>
> > Terry
> >
> > Something for the IG.
> > In one of the IG version, the Type has been corrected to just say
> > integer - no enumeration.
> >
> > Now going by Standard Section 12.1.2 where
> >
> >    *  Type: One of:
> >       String: UTF-8 string
> >       Integer: 4 byte signed integer
> >
> >
> > In Annex C.1, Gain is defined as "Unsigned Integer.
> > So either C.1 or "tdmc" package needs to be changed.
> >
> > Once it is determined whether it is "Unsigned Integer" or "integer",
> > the text needs to be updated as
> > to what the "automatic" value needs to be.
> >
> > Also a clarification needs to be added to the tmdc package to specify
> > whether the db gain value
> > should be presented as hex (0x) or decimal for ABNF.
> >
> > I think it could be both and it is up to the parser (or the receiver
> > of the msg)
> > to be able to convert from hex or decimal ASCII representation to
> > binary representation for internal
> > computation/manipulation.
> >
> > For example, the db gain value can be defined as
> > (hex-prefix hex-U16) / 1*5(DIGIT) or
> > hex-prefix = "0" ("x"  /  "X")
> >
> > For example, MGC can send
> >    tdmc/gain=10
> > or
> >   tdmc/gain = 0xa
> >
> > Any comments?
> >
> > Thanks
> > Chuong
> >
> > Gunter Weiss wrote:
> >
> >> Hello *,
> >>
> >> I have a question concerning gain value in Megaco messages:
> >> For me it is not clear which value is the right one for automatic
> >> gain!
> >>
> >> Having a more close look to RFC 3015, this is exactly what RFC tells
> >> us.
> >>        Unfortunately the sentence in RFC 3015:
> >>        "The gain control parameter may either be specified as
> >> "automatic"
> >>          (0xffffffff), or as an explicit number of decibels of gain
> >> (any other
> >>          integer value).  The default is provisioned in the MG."
> >>
> >>        is missleading !
> >>
> >>        The definition says:
> >>
> >>           Gain Control
> >>           ------------
> >>           PropertyID: gain (0x000a)
> >>
> >>           Gain control, or usage of of signal level adaptation and
> >> noise level
> >>           reduction is used to adapt the level of the signal.
> >> However, it is
> >>           necessary, for example for modem calls, to turn off this
> >> function.
> >>
> >>           Type: enumeration (integer)
> >>
> >>        Later on page 113 or 114 of RFC the range is explicitly given
> >> as:
> >>
> >>        Cuervo, et al.              Standards Track
> >> [Page 113]
> >>
> >>        RFC 3015              Megaco Protocol Version 1.0
> >> November 2000
> >>
> >>          | Echocanc          | 100B | Enumeration | Echo Canceller:
> >> Off(0),   |
> >>          |                   |      |             | G.165(1),
> >> G168(2)         |
> >>
> >> +-------------------+------+-------------+---------------------------+
> >>
> >>          | Gain              | 100C | Unsigned    | Gain in db:
> >> 0-65535       |
> >>          |                   |      | Integer
> >> |                           |
> >>
> >> +-------------------+------+-------------+---------------------------+
> >>
> >>        If you ask me, even the value 0xffffffff is wrong in RFC it
> >> could be only 0xffff!
> >>
> >> Please if someone could help me out of this confusion!
> >>
> >> Kind regards,
> >>     Gunter
> >>
> >> _______________________________________________
> >> Megaco mailing list
> >> [email-masked]
> >> http://www1.ietf.org/mailman/listinfo/megaco
> >
> > --
> >   Alcatel USA, Inc             Internet: [email-masked]
> >   1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
> >   **** The opinions expressed are not those of Alcatel USA, Inc ****
> >
> >
>
> --
>
> ------------------------------------------------------------
> Terry L Anderson             mailto:[email-masked]
> Tel:908.582.7013   Fax:908.582.6729
> Lucent Technologies/INS/Voice Over IP Access Networks
> Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
> http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****